> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/compute/bmc/elastic-ip/reneweipaddress.md).

# RenewEipAddress

## 1. API Description

This API (RenewEipAddress) is used to renew an elastic IP.

{% hint style="info" %} <mark style="color:blue;">**Note**</mark>

<mark style="color:blue;">Please ensure that the account balance is sufficient when renewing.</mark>
{% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type   | Description                                                                                                                          |
| -------------- | -------- | ------ | ------------------------------------------------------------------------------------------------------------------------------------ |
| eipId          | Yes      | String | <p>ID of an elastic IP.</p><p>To obtain the elastic IP ID, you can call DescribeEipAddresses and look for eipId in the response.</p> |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                                           |
| -------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Renew an elastic IP with a specified ID**

<pre class="language-json"><code class="lang-json">POST /api/v2/bmc HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: RenewEipAddress


Request：
{
    "eipId": "eipId1"
}

Response：
{
<strong>  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
</strong>  "response": {  
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3"
  }
}
</code></pre>

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code               | Description                              |
| ---------------- | ------------------------ | ---------------------------------------- |
| 404              | INVALID\_EIP\_NOT\_FOUND | The specified elastic IP does not exist. |
